<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" (click)="save()">Lưu</button>
</div>
<nz-card class="card-header">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[40, 24]">
      <div nz-col class="gutter-row" nzLg="24">
        <nz-switch formControlName="multipleLevels"></nz-switch>
        <span class="switch-title">Có nhiều cá nhân liên quan</span>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          formControlName="templateName"
          mbLabelText="{{
          'development.template.templateName' | translate
          }}<span class='label__required'>*</span>"
          mbPlaceholderText="{{
          'development.template.templateName' | translate
          }}"
          [mbType]="isSubmitted && form.controls['templateName'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['templateName'].errors != null"
          [mbErrors]="form.controls['templateName'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          formControlName="typeCode"
          [mbDataSelects]="dataCommon.templateTypeObj"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{
          'development.template.search.sampleTemplate' | translate
          }}"
          mbLabelText="{{
          'development.template.search.sampleTemplate' | translate
          }} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['typeCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['typeCode'].errors != null"
          [mbErrors]="form.controls['typeCode'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.subTemplateTypeObj"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{
          'development.template.search.subsampleTemplate' | translate
          }}"
          mbPlaceholder="{{
          'development.template.search.subsampleTemplate' | translate
          }}"
          formControlName="subTypeCode"
          [mbType]="isSubmitted && form.controls['subTypeCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['subTypeCode'].errors != null"
          [mbErrors]="form.controls['subTypeCode'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.proposeType"
          mbKeyLabel="name"
          mbKeyValue="code"
          [mbLabelText]="getLabelText('Loại đề xuất', 'proposeType')"
          mbPlaceholder="{{
          'development.template.search.proposalType' | translate
          }}"
          formControlName="proposeType"
          [mbType]="isSubmitted && form.controls['proposeType'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['proposeType'].errors != null"
          [mbErrors]="form.controls['proposeType'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-check-able
          [listOfSelectedValue]="form.controls['formCode'].value"
          [mbDataSelects]="dataCommon.formsObj"
          [mbShowAction]="false"
          mbKeyLabel="formName"
          mbKeyValue="code"
          [mbLabelText]="getLabelText('Hình thức', 'formCode')"
          mbPlaceholder="{{
          'development.template.search.form' | translate
          }}"
          formControlName="formCode"
          [mbType]="isSubmitted && form.controls['formCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['formCode'].errors != null"
          [mbErrors]="form.controls['formCode'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          (mbEventEmit)="emitValue($event, 'formCode')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-check-able
          [listOfSelectedValue]="form.controls['issuedLevelsCode'].value"
          [mbDataSelects]="dataCommon.issueLevelObj"
          [mbShowAction]="false"
          mbKeyLabel="name"
          mbKeyValue="code"
          [mbLabelText]="getLabelText('Cấp phê duyệt', 'issuedLevelsCode')"
          mbPlaceholder="{{
          'development.template.search.approvalLevel' | translate
          }}"
          formControlName="issuedLevelsCode"
          [mbType]="isSubmitted && form.controls['issuedLevelsCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['issuedLevelsCode'].errors != null"
          [mbErrors]="form.controls['issuedLevelsCode'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          (mbEventEmit)="emitValue($event, 'issuedLevelsCode')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="signers"
          mbKeyLabel="name"
          mbKeyValue="code"
          [mbLabelText]="getLabelText('Người ký trên Template', 'signerCode')"
          mbPlaceholder="{{
          'development.template.search.signerTemplate' | translate
          }}"
          formControlName="signerCode"
          [mbType]="isSubmitted && form.controls['signerCode'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['signerCode'].errors != null"
          [mbErrors]="form.controls['signerCode'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-date-picker
          formControlName="effectiveStartDate"
          mbFormat="dd/MM/yyyy"
          mbLabelText="{{
          'development.template.search.effectiveStartDate' | translate
          }} <span class='label__required'>*</span>"
          mbPlaceholderText="dd/mm/yyyy"
          [mbDisabledDate]="disabledStartDate"
          [mbType]="isSubmitted && form.controls['effectiveStartDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['effectiveStartDate'].errors != null"
          [mbErrors]="form.controls['effectiveStartDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-date-picker
          formControlName="effectiveEndDate"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{
          'development.template.search.effectiveEndDate' | translate
          }}"
          [mbDisabledDate]="disabledEndDate"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [mbMaxLength]="100"
          mbLabelText="{{
          'development.template.search.linkBI' | translate
          }} <span class='label__required'>*</span>"
          mbPlaceholderText="{{
          'development.template.search.linkBI' | translate
          }}"
          formControlName="linkBITemplate"
          [(ngModel)]="linkBITemplate"
          [mbType]="isSubmitted && form.controls['linkBITemplate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['linkBITemplate'].errors != null"
          [mbErrors]="form.controls['linkBITemplate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
    </div>
  </form>
</nz-card>
